Package org.apache.lucene.analysis.ko.util

## Class DictionaryBuilder

- java.lang.Object
- - org.apache.lucene.analysis.ko.util.DictionaryBuilder

-     public class DictionaryBuilder
      extends Object

  Tool to build dictionaries.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `build​(Path inputDir, Path outputDir, String encoding, boolean normalizeEntry)` |
    `static void` | `main​(String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public static void build​(Path inputDir,
                                   Path outputDir,
                                   String encoding,
                                   boolean normalizeEntry)
                            throws IOException

      Throws:
        `IOException`

    - #### main

          public static void main​(String[] args)
                           throws IOException

      Throws:
        `IOException`